define(function () {
    'use strict';

    function ctrl($scope, $filter, InfoService) {

        $scope.channel = {};
        $scope.vm = {};
        $scope.vm.activeTab=1;

        $scope.$on('$ionicView.beforeEnter', function() {
            init();
        });

        $scope.doRefresh = function() {
            init().finally(function(){
                $scope.$broadcast('scroll.refreshComplete');
            });
        };

        function init(){
            return InfoService.getContentBriefs($scope.channel.channelId, 2).then(function(data){
                if(data){
                    $scope.items = data;
                    for(var i=0;i<$scope.items.length;i++){
                        var fund = $scope.items[i];
                        fund.prodMinSubscribe = $filter('prodMinSubscribe')(fund.prodMinSubscribe);
                    }
                }
            });
        }
    }

    ctrl.$inject = ['$scope','$filter', 'InfoService'];
    return ctrl;
});